- Qt 5.15
- Qt Core
- C++ Classes
- QFile
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QFile

The following members of class QFile are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(obsolete)` typedef | EncoderFn

## Public Functions

`(obsolete)` QString | readLink() const

## Static Public Members

`(obsolete)` QString | readLink(const QString &fileName)
`(obsolete)` void | setDecodingFunction(DecoderFn function)
`(obsolete)` void | setEncodingFunction(EncoderFn function)

## Member Type Documentation

### typedef QFile::EncoderFn

This typedef is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is a typedef for a pointer to a function with the following signature:

     QByteArray myEncoderFunc(const QString &fileName);

See also setEncodingFunction() and encodeName().

## Member Function Documentation

### QString QFile::readLink() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use symLinkTarget() instead.

### `[static]` QString QFile::readLink(const QString &fileName)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use symLinkTarget() instead.

### `[static]` void QFile::setDecodingFunction(DecoderFn function)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function does nothing. It is provided for compatibility with Qt 4 code that attempted to set a different decoding function for file names. That feature is flawed and no longer supported in Qt 5.

See also setEncodingFunction() and decodeName().

### `[static]` void QFile::setEncodingFunction(EncoderFn function)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This function does nothing. It is provided for compatibility with Qt 4 code that attempted to set a different encoding function for file names. That feature is flawed and no longer supported in Qt 5.

See also encodeName() and setDecodingFunction().